# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/input/gpio-vibrator.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: GPIO vibrator

maintainers:
  - Luca Weiss <luca@z3ntu.xyz>

description: |+
  Registers a GPIO device as vibrator, where the on/off capability is controlled by a GPIO.

properties:
  compatible:
    const: gpio-vibrator

  enable-gpios:
    maxItems: 1

  vcc-supply:
    description: Regulator that provides power

required:
  - compatible
  - enable-gpios

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    vibrator {
        compatible = "gpio-vibrator";
        enable-gpios = <&msmgpio 86 GPIO_ACTIVE_HIGH>;
        vcc-supply = <&pm8941_l18>;
    };
